import ProxyService from './Proxy';
import { AddressBook } from './types';
export default class AddressBookService {
    proxy: ProxyService;
    readonly route: string;
    constructor(proxy: ProxyService);
    uploadAddressBook(list?: AddressBook.Contact[], params?: AddressBook.UploadParams): Promise<AddressBook.UploadResponse>;
    get(udid?: string): Promise<AddressBook.Contact[]>;
    getRegisteredUsers(params?: AddressBook.GetRegisteredUsersParams): Promise<AddressBook.GetRegisteredUsersResponse>;
}
