"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrivacyListAction = exports.ChatEvent = exports.ChatType = void 0;
var ChatType;
(function (ChatType) {
    ChatType["CHAT"] = "chat";
    ChatType["GROUPCHAT"] = "groupchat";
})(ChatType || (exports.ChatType = ChatType = {}));
var ChatEvent;
(function (ChatEvent) {
    ChatEvent["STATUS"] = "status";
    ChatEvent["ERROR"] = "error";
    ChatEvent["DISCONNECTED"] = "disconnected";
    ChatEvent["RECONNECTED"] = "reconnected";
    ChatEvent["MESSAGE"] = "message";
    ChatEvent["SYSTEM_MESSAGE"] = "system-message";
    ChatEvent["ERROR_MESSAGE"] = "error-message";
    ChatEvent["TYPING_MESSAGE"] = "typing-message";
    ChatEvent["UPDATE_MESSAGE"] = "update-message";
    ChatEvent["DELETE_MESSAGE"] = "delete-message";
    ChatEvent["REACTIONS_MESSAGE"] = "reactions-message";
    ChatEvent["DELIVERED_MESSAGE"] = "delivered-message";
    ChatEvent["READ_MESSAGE"] = "read-message";
    ChatEvent["SENT_MESSAGE"] = "sent-message";
    ChatEvent["USER_LAST_ACTIVITY"] = "user-last-activity";
    ChatEvent["JOIN"] = "join";
    ChatEvent["LEAVE"] = "leave";
    ChatEvent["KICK"] = "kick";
})(ChatEvent || (exports.ChatEvent = ChatEvent = {}));
var PrivacyListAction;
(function (PrivacyListAction) {
    PrivacyListAction["ALLOW"] = "allow";
    PrivacyListAction["DENY"] = "deny";
})(PrivacyListAction || (exports.PrivacyListAction = PrivacyListAction = {}));
//# sourceMappingURL=chat.js.map