"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConferenceEvent = exports.JanusMediaTrackReason = exports.JanusCallType = exports.JanusEvent = exports.DeviceInputType = void 0;
var DeviceInputType;
(function (DeviceInputType) {
    DeviceInputType["VIDEO"] = "videoinput";
    DeviceInputType["AUDIO"] = "audioinput";
})(DeviceInputType || (exports.DeviceInputType = DeviceInputType = {}));
var JanusEvent;
(function (JanusEvent) {
    JanusEvent["PARTICIPANT_JOINED"] = "participant_joined";
    JanusEvent["PARTICIPANT_LEFT"] = "participant_left";
    JanusEvent["LOCAL_STREAM"] = "local_stream";
    JanusEvent["REMOTE_STREAM"] = "remote_stream";
    JanusEvent["REMOTE_TRACKS_UPDATED"] = "remote_tracks_updated";
    JanusEvent["DATA_CHANNEL_OPEN"] = "data_channel_open";
    JanusEvent["DATA_CHANNEL_MESSAGE"] = "data_channel_message";
    JanusEvent["ERROR"] = "error";
})(JanusEvent || (exports.JanusEvent = JanusEvent = {}));
var JanusCallType;
(function (JanusCallType) {
    JanusCallType["VIDEO"] = "video";
    JanusCallType["AUDIO"] = "audio";
})(JanusCallType || (exports.JanusCallType = JanusCallType = {}));
var JanusMediaTrackReason;
(function (JanusMediaTrackReason) {
    JanusMediaTrackReason["CREATED"] = "created";
    JanusMediaTrackReason["ENDED"] = "ended";
    JanusMediaTrackReason["MUTE"] = "mute";
    JanusMediaTrackReason["UNMUTE"] = "unmute";
})(JanusMediaTrackReason || (exports.JanusMediaTrackReason = JanusMediaTrackReason = {}));
var ConferenceEvent;
(function (ConferenceEvent) {
    ConferenceEvent["JOIN"] = "join";
    ConferenceEvent["LEFT"] = "left";
    ConferenceEvent["SLOW_LINK"] = "slow-link";
    ConferenceEvent["REMOTE_TRACKS_UPDATED"] = "remote-tracks";
    ConferenceEvent["REMOTE_STREAM"] = "remote-stream";
    ConferenceEvent["REMOTE_CONNECTION_STATE"] = "remote-connection-state";
    ConferenceEvent["DATA_CHANNEL_OPENED"] = "data-channel-opened";
    ConferenceEvent["DATA_CHANNEL_MESSAGE"] = "data-channel-message";
    ConferenceEvent["SESSION_CONNECTION_STATE"] = "session-connection-state";
    ConferenceEvent["ERROR"] = "error";
})(ConferenceEvent || (exports.ConferenceEvent = ConferenceEvent = {}));
//# sourceMappingURL=janus.js.map