import { XMPPClient } from '../messaging/xmpp';
import { Calls, CallSignalingType } from '../types';
export default class WebRTCSignalingProvider {
    signalingConnection: XMPPClient;
    constructor(signalingConnection: XMPPClient);
    sendCandidate(userID: number, iceCandidates: RTCIceCandidateInit[], ext?: Calls.ExtensionParams): void;
    sendMessage(userID: number, ext: Calls.ExtensionParams, signalingType: CallSignalingType): void;
}
