import ProxyService from './Proxy';
import { EmptyResponse, Meetings } from './types';
export default class MeetingsService {
    proxy: ProxyService;
    readonly route: string;
    constructor(proxy: ProxyService);
    get(params?: Meetings.GetParams): Promise<Meetings.Meeting | Meetings.Meeting[]>;
    create(params?: Meetings.CreateParams): Promise<Meetings.Meeting>;
    update(id: string | number, params: Meetings.UpdateParams): Promise<Meetings.Meeting>;
    delete(id: string | number): Promise<EmptyResponse>;
    getRecordings(id: string | number): Promise<Meetings.Recording[]>;
}
